This patch is based in part on a revert of parts of upstream commit
9feda988a51ec2bd97e83e0bbfd63af630059669

Index: ratatui/Cargo.toml
===================================================================
--- ratatui.orig/Cargo.toml
+++ ratatui/Cargo.toml
@@ -200,7 +200,7 @@ features = ["derive"]
 
 ## enables the [`TermionBackend`] backend and adds a dependency on the [Termion crate].
 [dependencies.termion]
-version = "2.0"
+version = "1.5.6"
 optional = true
 
 
Index: ratatui/examples/demo/termion.rs
===================================================================
--- ratatui.orig/examples/demo/termion.rs
+++ ratatui/examples/demo/termion.rs
@@ -5,18 +5,14 @@ use termion::{
     event::Key,
     input::{MouseTerminal, TermRead},
     raw::IntoRawMode,
-    screen::IntoAlternateScreen,
+    screen::AlternateScreen,
 };
 
 use crate::{app::App, ui};
 
 pub fn run(tick_rate: Duration, enhanced_graphics: bool) -> Result<(), Box<dyn Error>> {
     // setup terminal
-    let stdout = io::stdout()
-        .into_raw_mode()
-        .unwrap()
-        .into_alternate_screen()
-        .unwrap();
+    let stdout = io::stdout().into_raw_mode()?;
     let stdout = MouseTerminal::from(stdout);
     let backend = TermionBackend::new(stdout);
     let mut terminal = Terminal::new(backend)?;
